Index: /trunk/Nebulous/nebclient/Makefile.am
===================================================================
--- /trunk/Nebulous/nebclient/Makefile.am	(revision 4458)
+++ /trunk/Nebulous/nebclient/Makefile.am	(revision 4459)
@@ -1,5 +1,7 @@
 # Copyright (C) 2005  Joshua Hoblitt
 #
-# $Id: Makefile.am,v 1.5 2005-01-16 10:37:59 jhoblitt Exp $
+# $Id: Makefile.am,v 1.6 2005-07-06 04:06:08 jhoblitt Exp $
 
 SUBDIRS = src
+
+EXTRA_DIST = nebulous.wsdl
Index: /trunk/Nebulous/nebclient/autogen.sh
===================================================================
--- /trunk/Nebulous/nebclient/autogen.sh	(revision 4459)
+++ /trunk/Nebulous/nebclient/autogen.sh	(revision 4459)
@@ -0,0 +1,107 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+ORIGDIR=`pwd`
+cd $srcdir
+
+PROJECT=nebulousclient
+TEST_TYPE=-f
+# change this to be a unique filename in the top level dir
+FILE=nebulous.wsdl
+
+DIE=0
+
+LIBTOOLIZE=libtoolize
+ACLOCAL=aclocal
+AUTOHEADER=autoheader
+AUTOMAKE=automake
+AUTOCONF=autoconf
+
+($LIBTOOLIZE --version) < /dev/null > /dev/null 2>&1 || {
+        echo
+        echo "You must have $LIBTOOlIZE installed to compile $PROJECT."
+        echo "Download the appropriate package for your distribution,"
+        echo "or get the source tarball at http://ftp.gnu.org/gnu/libtool/"
+        DIE=1
+}
+
+($ACLOCAL --version) < /dev/null > /dev/null 2>&1 || {
+        echo
+        echo "You must have $ACLOCAL installed to compile $PROJECT."
+        echo "Download the appropriate package for your distribution,"
+        echo "or get the source tarball at http://ftp.gnu.org/gnu/automake/"
+        DIE=1
+}
+
+($AUTOHEADER --version) < /dev/null > /dev/null 2>&1 || {
+        echo
+        echo "You must have $AUTOHEADER installed to compile $PROJECT."
+        echo "Download the appropriate package for your distribution,"
+        echo "or get the source tarball at http://ftp.gnu.org/gnu/autoconf/"
+        DIE=1
+}
+
+($AUTOMAKE --version) < /dev/null > /dev/null 2>&1 || {
+        echo
+        echo "You must have $AUTOMAKE installed to compile $PROJECT."
+        echo "Download the appropriate package for your distribution,"
+        echo "or get the source tarball at http://ftp.gnu.org/gnu/automake/"
+        DIE=1
+}
+
+($AUTOCONF --version) < /dev/null > /dev/null 2>&1 || {
+        echo
+        echo "You must have $AUTOCONF installed to compile $PROJECT."
+        echo "Download the appropriate package for your distribution,"
+        echo "or get the source tarball at http://ftp.gnu.org/gnu/autoconf/"
+        DIE=1
+}
+
+if test "$DIE" -eq 1; then
+        exit 1
+fi
+
+test $TEST_TYPE $FILE || {
+        echo "You must run this script in the top-level $PROJECT directory"
+        exit 1
+}
+
+if test -z "$*"; then
+        echo "I am going to run ./configure with no arguments - if you wish "
+        echo "to pass any to it, please specify them on the $0 command line."
+fi
+
+$LIBTOOLIZE --copy --force || echo "$LIBTOOlIZE failed"
+$ACLOCAL || echo "$ACLOCAL failed"
+$AUTOHEADER || echo "$AUTOHEADER failed"
+$AUTOMAKE --add-missing --force-missing --copy || echo "$AUTOMAKE failed"
+$AUTOCONF || echo "$AUTOCONF failed"
+
+cd $ORIGDIR
+
+wsdl2h -o src/nebulous.h -c nebulous.wsdl \
+&& soapcpp2 -d src -c src/nebulous.h \
+&& rm -f src/*.xml
+
+run_configure=true
+for arg in $*; do
+    case $arg in
+        --no-configure)
+            run_configure=false
+            ;;
+        *)
+            ;;
+    esac
+done
+
+if $run_configure; then
+    $srcdir/configure --enable-maintainer-mode "$@"
+    echo
+    echo "Now type 'make' to compile $PROJECT."
+else
+    echo
+    echo "Now run 'configure' and 'make' to compile $PROJECT."
+fi
Index: /trunk/Nebulous/nebclient/configure.ac
===================================================================
--- /trunk/Nebulous/nebclient/configure.ac	(revision 4458)
+++ /trunk/Nebulous/nebclient/configure.ac	(revision 4459)
@@ -1,42 +1,26 @@
 dnl Copyright (C) 2005  Joshua Hoblitt
 dnl
-dnl $Id: configure.ac,v 1.3 2005-06-30 02:35:05 jhoblitt Exp $
+dnl $Id: configure.ac,v 1.4 2005-07-06 04:06:08 jhoblitt Exp $
 
-dnl Process this file with autoconf to produce a configure script.
+AC_PREREQ(2.59)
+
 AC_INIT([nebulousclient], [0.0.1], [jhoblitt@cpan.org])
-AM_INIT_AUTOMAKE(AC_PACKAGE_NAME, AC_PACKAGE_VERSION)
-AC_REVISION([$Revision: 1.3 $])
+AC_CONFIG_SRCDIR([nebulous.wsdl])
 
-dnl generate config.h
-AM_CONFIG_HEADER(config.h)
+AM_INIT_AUTOMAKE([1.6 foreign dist-bzip2])
+AM_CONFIG_HEADER([config.h])
+AM_MAINTAINER_MODE
 
-dnl Checks for programs.
+AC_LANG(C)
+AC_PROG_CC
+AC_PROG_INSTALL
+AC_PROG_LIBTOOL
 
-dnl Checks for libraries.
+AM_CFLAGS="-Wall -pedantic -std=c99"
+AC_SUBST([AM_CFLAGS])
 
-dnl Checks for header files.
-AC_HEADER_STDC
-AC_CHECK_HEADERS(fcntl.h unistd.h)
-
-dnl Checks for typedefs, structures, and compiler characteristics.
-AC_C_CONST
-AC_TYPE_SIZE_T
-AC_HEADER_TIME
-AC_STRUCT_TM
-
-dnl Checks for library functions.
-AC_PROG_GCC_TRADITIONAL
-AC_FUNC_STRFTIME
-AC_CHECK_FUNCS(ftime gettimeofday mktime putenv regcomp select socket strerror strstr strtod)
-
-dnl libtool needs top_buildir set before it's called
-for top_builddir in . .. ../.. $ac_auxdir $ac_auxdir/..; do
-  test -f $top_builddir/configure && break
-done
-
-AC_DISABLE_FAST_INSTALL
-AC_PROG_LIBTOOL
-AC_SUBST(LIBTOOL_DEPS)
-
-dnl AC_OUTPUT(Makefile)
-AC_OUTPUT(Makefile src/Makefile)
+AC_CONFIG_FILES([
+  Makefile
+  src/Makefile
+])
+AC_OUTPUT
